/* -*- Mode: C; tab-width: 4; indent-tabs-mode: t; c-basic-offset: 4 -*- */

/*
 * EggPlayPreview GTK+ Widget - egg-play-preview-test.c
 * 
 * Copyright (C) 2008 Luca Cavalli <luca.cavalli@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * Authors: Luca Cavalli <luca.cavalli@gmail.com>
 */

#include <gtk/gtk.h>

#include "egg-play-preview.h"

int
main (int argc, char *argv[])
{
    GtkWidget *window;
    GtkWidget *play;

    gtk_init (&argc, &argv);

    window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
	gtk_window_set_icon_name (GTK_WINDOW (window), "gnome-mime-audio");
	gtk_container_set_border_width (GTK_CONTAINER (window), 12);

    play = egg_play_preview_new ();
	egg_play_preview_set_uri (EGG_PLAY_PREVIEW (play), "file:///usr/share/sounds/login.wav");

    gtk_container_add (GTK_CONTAINER (window), play);

	g_signal_connect (G_OBJECT (window), "destroy",
					  G_CALLBACK (gtk_main_quit), NULL);

    gtk_widget_show_all (window);

    gtk_main ();

	return 0;
}
